public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "José María Alonso" <nimiux@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/lisp:master commit in: dev-lisp/clx/
Date: Sun,  4 Feb 2018 10:13:48 +0000 (UTC)	[thread overview]
Message-ID: <1517739249.219aaf5d22ee5cad8f1b492fe5faed7e97c5464e.nimiux@gentoo> (raw)

commit:     219aaf5d22ee5cad8f1b492fe5faed7e97c5464e
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Sun Feb  4 10:14:09 2018 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Sun Feb  4 10:14:09 2018 +0000
URL:        https://gitweb.gentoo.org/proj/lisp.git/commit/?id=219aaf5d

dev-lisp/clx: Bumps version to 0.7.5

 dev-lisp/clx/clx-0.7.5.ebuild | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/dev-lisp/clx/clx-0.7.5.ebuild b/dev-lisp/clx/clx-0.7.5.ebuild
new file mode 100644
index 00000000..8cd18ea3
--- /dev/null
+++ b/dev-lisp/clx/clx-0.7.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit common-lisp-3 eutils
+
+DESCRIPTION="CLX is the Common Lisp interface to the X11 protocol primarily for SBCL."
+HOMEPAGE="http://www.cliki.net/CLX"
+SRC_URI="https://github.com/sharplispers/clx/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="doc"
+
+DEPEND="sys-apps/texinfo
+		doc? ( virtual/texi2dvi )"
+RDEPEND="!dev-lisp/cl-${PN}"
+
+src_compile() {
+	cd manual || die
+	makeinfo ${PN}.texinfo -o ${PN}.info || die
+	if use doc ; then
+		VARTEXFONTS="${T}"/fonts \
+			texi2pdf ${PN}.texinfo -o ${PN}.pdf || die
+	fi
+}
+
+src_install() {
+	common-lisp-install-sources *.lisp debug demo extensions tests
+	common-lisp-install-asdf
+	dodoc NEWS CHANGES README*
+	doinfo manual/${PN}.info
+	use doc && dodoc manual/${PN}.pdf
+}


             reply	other threads:[~2018-02-04 10:13 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-02-04 10:13 José María Alonso [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-03-09 21:36 [gentoo-commits] proj/lisp:master commit in: dev-lisp/clx/ José María Alonso
2018-03-09 21:36 José María Alonso
2018-03-09 17:41 José María Alonso
2018-03-09 17:41 José María Alonso
2018-02-04 10:25 José María Alonso
2017-08-18 15:04 José María Alonso
2017-08-07 20:41 José María Alonso
2017-04-28  9:22 José María Alonso
2017-04-27  8:37 José María Alonso
2017-04-05 15:07 José María Alonso
2016-12-17 13:22 José María Alonso
2016-12-11 20:44 José María Alonso
2015-12-31 10:04 José María Alonso
2014-12-19 20:15 José María Alonso
2014-04-28  9:40 José María Alonso
2014-04-28  9:38 José María Alonso

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1517739249.219aaf5d22ee5cad8f1b492fe5faed7e97c5464e.nimiux@gentoo \
    --to=nimiux@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox